> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update conversation

> Please use POST /conversations/{conversation_id}/read or PATCH /conversations/{conversation_id} instead.

The only updatable field is "is_read". It will be set for the user
that performs the request ("is_read" may have different values for different
users).




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /conversations/{conversation_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /conversations/{conversation_id}:
    post:
      tags:
        - Messages
      summary: Update conversation
      description: >
        Please use POST /conversations/{conversation_id}/read or PATCH
        /conversations/{conversation_id} instead.


        The only updatable field is "is_read". It will be set for the user

        that performs the request ("is_read" may have different values for
        different

        users).
      operationId: updateConversationDeprecated
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: integer
            description: The id of the conversation to update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: Request body to update a Post
              type: object
              properties:
                is_read:
                  type: boolean
                  description: >
                    Whether the last message received was read.       

                    This property is scoped to the user who performs the
                    request.     

                    Multiple users can have a different is_read status for the
                    same conversation.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
      deprecated: true
components:
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````